{% extends 'x15.jinja2' %}
{% set storage_info = [{'SATA': '/dev/disk/by-id/ata-SanDisk_SSD_PLUS_120GB_190703A006C8'}] %}
{% set adb_serial_number = '1300f00a2e4a0b22' %}
{% set device_info = [{'board_id': '1300f00a2e4a0b22'}] %}
{% set fastboot_serial_number = '1300f00a2e4a0b22' %}
{% set power_off_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu03 --command off --port 17' %}

{# We use the ethernet controlled relay to emulate the power button press #}

{% set hard_reset_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu03 --command reboot --port 17 --delay 20',
'/usr/local/lab-scripts/eth008_control -a 10.66.16.203 -r 4 -s onoff'] %}
{% set connection_list = ['uart0'] %}
{% set connection_commands = {'uart0': 'telnet serial-box03 7102'} %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set power_on_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu03 --command on --port 17',
'/usr/local/lab-scripts/eth008_control -a 10.66.16.203 -r 4 -s onoff'] %}
{% set flash_cmds_order = ['update',
'ptable',
'partition',
'hyp',
'modem',
'rpm',
'sbl1',
'sbl2',
'sec',
'tz',
'aboot',
'boot',
'rootfs',
'vendor',
'system',
'cache',
'userdata'] %}

{% set uboot_ipaddr_cmd = "dhcp; dhcp" %}

{% set sync_to_lava = {'device_type': 'x15', 'worker': 'lkft-slave03.lkftlab', 'tags': ['ssd-attached', 'device-test', 'beagle-x15', 'cambridge-lab', 'production', 'hdmi-dongle'], 'aliases': ['am57xx-beagle-x15']} %}
